#pragma once

#include "pruning_config.h"

class TGrAttrPruning: public TPruningConfig {
public:
    TGrAttrPruning(const TString& attrName);
    virtual TString ToString() const override;
    virtual bool NeedSort() const override;
    virtual bool PruningOn() const override;
    virtual TType GetType() const override;

private:
    TString GrAttrName;
};

class TOXYPruning: public TPruningConfig {
public:
    virtual TString ToString() const override;
    virtual bool NeedSort() const override;
    virtual bool PruningOn() const override;
    virtual TType GetType() const override;
};
